Bug 389484 - Ctrl+Tab: Possibility to cancel and show parts of the file path
Summary: Ctrl+Tab: Possibility to cancel and show parts of the file path
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Applications
Component: general (show other bugs)
Version: 17.12.0
Platform: Other Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-26 22:34 UTC by Gregor Mi
Modified: 2018-02-04 22:58 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gregor Mi 2018-01-26 22:34:25 UTC
Two suggestions for the Ctrl+Tab feature:

1) It would be convenient if the Esc key would cancel the switching action (in case one does not find what one is looking for). Like in Plasma's Alt+Tab.

2) I often work with structures with many files that have the same name (e.g. README.md). It would help to identify the correct file if parts of the filepath (e.g. starting from the git repo root) where displayed before the baseame.
Comment 1 Dominik Haumann 2018-02-04 20:13:38 UTC
Proposed patch: https://phabricator.kde.org/D10306 for master branch.
Comment 2 Dominik Haumann 2018-02-04 20:22:24 UTC
@Gregor, the patch only addresses your issue #1.

--> Please only one issue per bug report.

Issue #2 can at least be worked around by using the quick open feature, which provides this feature (by default Ctrl+Alt+o).
Comment 3 Dominik Haumann 2018-02-04 21:33:40 UTC
Git commit 2641fc835e5fecb539122dcfbee1caa42617ebe4 by Dominik Haumann.
Committed on 04/02/2018 at 21:33.
Pushed by dhaumann into branch 'master'.

Tab switcher plugin: Escape hides switcher widget

Summary:
Allow to cancel the tab switching by pressing Escape.

Test Plan: make test

Reviewers: gregormi, ngraham, cullmann

Reviewed By: ngraham

Tags: #kate

Differential Revision: https://phabricator.kde.org/D10306

M  +10   -0    addons/tabswitcher/tabswitchertreeview.cpp
M  +5    -0    addons/tabswitcher/tabswitchertreeview.h

https://commits.kde.org/kate/2641fc835e5fecb539122dcfbee1caa42617ebe4
Comment 4 Gregor Mi 2018-02-04 22:58:41 UTC
Thanks for the fix, Dominik! For the second issue I opened another bug: https://bugs.kde.org/show_bug.cgi?id=389895